<?php

namespace Modules\Routing\Observers;

use Illuminate\Support\Facades\Cache;
use Modules\Routing\Models\RoutePricing;

class RoutePricingObserver
{
    public function saved(RoutePricing $pricing): void
    {
        Cache::tags('routes')->flush();
    }

    public function deleted(RoutePricing $pricing): void
    {
        Cache::tags('routes')->flush();
    }
}
